# Uses of Class
org.eclipse.swt.dnd.TransferData

Packages that use TransferData
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of TransferData in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type TransferData
Modifier and Type
Method
Description
`void`
LocalSelectionTransfer.`javaToNative(Object object, TransferData transferData)`
Overrides org.eclipse.swt.dnd.ByteArrayTransfer#javaToNative(Object, TransferData).
`Object`
LocalSelectionTransfer.`nativeToJava(TransferData transferData)`
Overrides org.eclipse.swt.dnd.ByteArrayTransfer#nativeToJava(TransferData).

## Uses of TransferData in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TransferData
Modifier and Type
Method
Description
`abstract boolean`
ViewerDropAdapter.`validateDrop(Object target, int operation, TransferData transferType)`
Validates dropping on the given object.

## Uses of TransferData in org.eclipse.swt.dnd

Fields in org.eclipse.swt.dnd declared as TransferData
Modifier and Type
Field
Description
`TransferData`
DropTargetEvent.`currentDataType`
The type of data that will be dropped.
`TransferData`
DragSourceEvent.`dataType`
The type of data requested.
`TransferData[]`
DropTargetEvent.`dataTypes`
A list of the types of data that the DragSource is capable of providing.
Methods in org.eclipse.swt.dnd that return TransferData
Modifier and Type
Method
Description
`TransferData[]`
Clipboard.`getAvailableTypes()`
Returns an array of the data types currently available on the system clipboard.
`TransferData[]`
Clipboard.`getAvailableTypes(int clipboards)`
Returns an array of the data types currently available on the specified clipboard.
`TransferData[]`
ByteArrayTransfer.`getSupportedTypes()`
`abstract TransferData[]`
Transfer.`getSupportedTypes()`
Returns a list of the platform specific data types that can be converted using this transfer agent.
Methods in org.eclipse.swt.dnd with parameters of type TransferData
Modifier and Type
Method
Description
`boolean`
ByteArrayTransfer.`isSupportedType(TransferData transferData)`
`boolean`
FileTransfer.`isSupportedType(TransferData transferData)`
`abstract boolean`
Transfer.`isSupportedType(TransferData transferData)`
Returns true if the `TransferData` data type can be converted using this transfer agent, or false otherwise (including if transferData is `null`).
`protected void`
ByteArrayTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a java `byte[]` to a platform specific representation.
`void`
FileTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a list of file names represented by a java `String[]` to a platform specific representation.
`void`
HTMLTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts HTML-formatted text represented by a java `String` to a platform specific representation.
`void`
ImageTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts an ImageData object represented by java `ImageData` to a platform specific representation.
`void`
RTFTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts RTF-formatted text represented by a java `String` to a platform specific representation.
`void`
TextTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts plain text represented by a java `String` to a platform specific representation.
`protected abstract void`
Transfer.`javaToNative(Object object, TransferData transferData)`
Converts a java representation of data to a platform specific representation of the data.
`void`
URLTransfer.`javaToNative(Object object, TransferData transferData)`
This implementation of `javaToNative` converts a URL represented by a java `String` to a platform specific representation.
`protected Object`
ByteArrayTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a byte array to a java `byte[]`.
`Object`
FileTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a list of file names to a java `String[]`.
`Object`
HTMLTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of HTML text to a java `String`.
`Object`
ImageTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of an image to java `ImageData`.
`Object`
RTFTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of RTF text to a java `String`.
`Object`
TextTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of plain text to a java `String`.
`protected abstract Object`
Transfer.`nativeToJava(TransferData transferData)`
Converts a platform specific representation of data to a java representation.
`Object`
URLTransfer.`nativeToJava(TransferData transferData)`
This implementation of `nativeToJava` converts a platform specific representation of a URL to a java `String`.

## Uses of TransferData in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return TransferData
Modifier and Type
Method
Description
`TransferData`
CommonDropAdapter.`getCurrentTransfer()`
Methods in org.eclipse.ui.navigator with parameters of type TransferData
Modifier and Type
Method
Description
`CommonDropAdapterAssistant[]`
INavigatorDnDService.`findCommonDropAdapterAssistants(Object aDropTarget, TransferData theTransferType)`
This method returns an array of `CommonDropAdapterAssistant` from content extensions that are visible and active for the associated `INavigatorContentService`.
`boolean`
CommonDropAdapterAssistant.`isSupportedType(TransferData aTransferType)`
Clients may extend the supported transfer types beyond the default `LocalSelectionTransfer.getTransfer()` and `PluginTransfer.getInstance()` transfer types.
`boolean`
CommonDropAdapter.`validateDrop(Object aDropTarget, int theDropOperation, TransferData theTransferData)`
`abstract IStatus`
CommonDropAdapterAssistant.`validateDrop(Object target, int operation, TransferData transferType)`
Validates dropping on the given object.

## Uses of TransferData in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type TransferData
Modifier and Type
Method
Description
`boolean`
ResourceDropAdapterAssistant.`isSupportedType(TransferData aTransferType)`
`IStatus`
ResourceDropAdapterAssistant.`validateDrop(Object target, int aDropOperation, TransferData transferType)`

## Uses of TransferData in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return TransferData
Modifier and Type
Method
Description
`protected TransferData`
PluginDropAdapter.`getCurrentTransfer()`
Returns the current transfer.
Methods in org.eclipse.ui.part with parameters of type TransferData
Modifier and Type
Method
Description
`void`
EditorInputTransfer.`javaToNative(Object data, TransferData transferData)`
`protected void`
MarkerTransfer.`javaToNative(Object object, TransferData transferData)`
`protected void`
PluginTransfer.`javaToNative(Object data, TransferData transferData)`
`protected void`
ResourceTransfer.`javaToNative(Object data, TransferData transferData)`
`Object`
EditorInputTransfer.`nativeToJava(TransferData transferData)`
`protected Object`
MarkerTransfer.`nativeToJava(TransferData transferData)`
`protected Object`
PluginTransfer.`nativeToJava(TransferData transferData)`
`protected Object`
ResourceTransfer.`nativeToJava(TransferData transferData)`
`boolean`
PluginDropAdapter.`validateDrop(Object target, int operation, TransferData transferType)`
The `PluginDropAdapter` implementation of this `ViewerDropAdapter` method is used to notify the action that some aspect of the drop operation has changed.